ros-rolling-moveit-setup-controllers (2.14.1-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 09 Sep 2025 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.14.0-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 13 Jun 2025 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.13.2-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 16 Apr 2025 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.13.1-2resolute) resolute; urgency=high

  * Use ament_cmake_ros build tool in moveit_setup_assistant packages (#3441 <https://github.com/ros-planning/moveit2/issues/3441>)
  * Contributors: Sebastian Castro

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 15 Apr 2025 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.13.0-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 15 Feb 2025 06:00:00 -0000

ros-rolling-moveit-setup-controllers (2.12.0-2resolute) resolute; urgency=high

  * Enhancement/use hpp for headers (#3113 <https://github.com/ros-planning/moveit2/issues/3113>)
  * Contributors: Tom Noble

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 29 Nov 2024 06:00:00 -0000

ros-rolling-moveit-setup-controllers (2.11.0-2resolute) resolute; urgency=high

  * Fix key duplication in moveit_setup_assistant for FollowJointTrajectory (#2959 <https://github.com/moveit/moveit2/issues/2959>)
  * Replace deprecated load_yaml with xacro.load_yaml in ros2_control.xacro template (#2934 <https://github.com/moveit/moveit2/issues/2934>)
  * Remove additional word 'hardware' in Moveit Controllers section of MoveIt Setup Assistant (#2936 <https://github.com/moveit/moveit2/issues/2936>)
  * Contributors: Chris Schindlbeck

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 16 Sep 2024 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.10.0-2resolute) resolute; urgency=high

  * Add allow_nonzero_velocity_at_trajectory_end parameter to exported ros2_controllers config file (#2751 <https://github.com/moveit/moveit2/issues/2751>)
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Sebastian Castro, Tyler Weaver

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 13 Jun 2024 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.9.0-2resolute) resolute; urgency=high

  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * Don't assume gripper controller for single joint control in MoveIt Setup Assistant (#2555 <https://github.com/ros-planning/moveit2/issues/2555>)
    * For single joint controllers which are not gripper controllers, still output joints list
    * Use OR
    * Only check for GripperActionController
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Forrest Rogers-Marcovitz, Sebastian Jahr, Tyler Weaver

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 09 Jan 2024 06:00:00 -0000

ros-rolling-moveit-setup-controllers (2.8.0-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 10 Sep 2023 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.7.4-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 18 May 2023 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.7.3-2resolute) resolute; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 24 Apr 2023 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.7.2-2resolute) resolute; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Contributors: Shobuj Paul

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 18 Apr 2023 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.7.1-2resolute) resolute; urgency=high

  * add missing dependencies on config utils (#1962 <https://github.com/ros-planning/moveit2/issues/1962>)
    when installing ros-humble-moveit-setup-assistant from debs,
    the package cannot currently run due to this missing depend
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Mar 2023 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.7.0-2resolute) resolute; urgency=high

  * Merge PR #1712 <https://github.com/ros-planning/moveit2/issues/1712>: fix clang compiler warnings + stricter CI
  * Add default constructors
    ... as they are not implicitly declared anymore
  * Add default copy/move constructors/assignment operators
    As a user-declared destructor deletes any implicitly-defined move constructor/assignment operator,
    we need to declared them manually. This in turn requires to declare the copy constructor/assignment as well.
  * Fix -Wdelete-non-abstract-non-virtual-dtor
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Chris Thrasher, Christian Henkel, Cory Crean, Robert Haschke

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 29 Jan 2023 06:00:00 -0000

ros-rolling-moveit-setup-controllers (2.6.0-2resolute) resolute; urgency=high

  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Cleanup cmake files
    - Replace ament_export_libraries() -> ament_export_targets(HAS_LIBRARY_TARGET)
    - Replace ament_export_include_directories() -> INCLUDES DESTINATION include
    See https://docs.ros.org/en/foxy/How-To-Guides/Ament-CMake-Documentation.html#building-a-library
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * MSA: write the default controller namespace (#1515 <https://github.com/ros-planning/moveit2/issues/1515>)
    * Write the default controller namespace
    * Check for a sane controller type
    * Revert the check for FollowJointTrajectory type
  * Contributors: AndyZe, Robert Haschke, Sebastian Jahr

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 10 Nov 2022 06:00:00 -0000

ros-rolling-moveit-setup-controllers (2.5.3-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 28 Jul 2022 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.5.2-2resolute) resolute; urgency=high

  * Rename cartesian_limits.yaml (#1422 <https://github.com/ros-planning/moveit2/issues/1422>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
    Adds a nice testing harness for easy checking of generated files.
    New Features:
    * Updated sensor configuration format
    * Keep trajectory execution parameters around
    Tests
    * Ported the ROS 1 tests for perception and controllers
    * Added some SRDF Planning Groups tests
  * fix duplicated ros_control joints (#1406 <https://github.com/ros-planning/moveit2/issues/1406>)
    when more than one controller can control a joint,
    that joint would appear multiple times
  * [MSA] Add additional parameters to Controller definitions (#1408 <https://github.com/ros-planning/moveit2/issues/1408>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * [MSA] Clean up extra parentheses (#1366 <https://github.com/ros-planning/moveit2/issues/1366>)
  * [MSA] ros2_control Integration (#1299 <https://github.com/ros-planning/moveit2/issues/1299>)
  * [MSA] Workaround to launch files without controllers (#1275 <https://github.com/ros-planning/moveit2/issues/1275>)
  * [MSA] PR Feedback
  * [MSA] Migration Cleanup (#1253 <https://github.com/ros-planning/moveit2/issues/1253>)
  * [MSA] Initial Controllers and Simulation Steps Port (#1252 <https://github.com/ros-planning/moveit2/issues/1252>)
  * Contributors: AndyZe, David V. Lu!!, Michael Ferguson, Vatan Aksoy Tezer

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 18 Jul 2022 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.5.1-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 May 2022 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.5.0-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 26 May 2022 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.3.2-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 29 Dec 2021 06:00:00 -0000

ros-rolling-moveit-setup-controllers (2.3.1-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Dec 2021 06:00:00 -0000

ros-rolling-moveit-setup-controllers (2.3.0-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 08 Oct 2021 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.2.1-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 12 Jul 2021 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.2.0-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 30 Jun 2021 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.1.4-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 31 May 2021 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.1.3-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 22 May 2021 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.1.2-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Apr 2021 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.1.1-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 13 Apr 2021 05:00:00 -0000

ros-rolling-moveit-setup-controllers (2.1.0-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 24 Nov 2020 06:00:00 -0000

ros-rolling-moveit-setup-controllers (2.0.0-2resolute) resolute; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 13 May 2020 05:00:00 -0000


